Putting 5300 into Code Update Mode

Forum dedicated to discussion on EF Johnson Radio products

Moderator: willbartlett

Post Reply
X50
Posts: 10
Joined: Fri Aug 07, 2009 10:00 pm

Putting 5300 into Code Update Mode

Post by X50 » Fri Sep 25, 2009 7:00 pm

I'm trying to update the firmware on a pair of 5300 radios- a dash mount and an HHC.

I don't have the shorting plug (023-5300-010), but found a reference that the plug shorts mic pins 3 & 7. These are the left most pins on the mic jack (when looking at it head on) on the lower two rows. Pin 3 is ground and, if my research is correct, pin 7 is RS-485 Busy.

I know my RIB is working as I can program a 5300.

When I short pins 3 & 7 on the dash mount or the RS-485 Busy on the HHC and turn the radio on, it displays the firmware version.

When I try to retrieve the information from the radio using the updater or if I try to update the Boot Code, I get “Communication error while trying to retrieve boot version”. Application Upgrade doesn't do anything.

Both radios have 1.x.x.x version firmware.

Can anyone tell me what's wrong with my procedure and/or confirm how to put the radios into code update mode?

Thanks,
Doug
K4AC

X50
Posts: 10
Joined: Fri Aug 07, 2009 10:00 pm

Re: Putting 5300 into Code Update Mode

Post by X50 » Sat Sep 26, 2009 11:51 am

Thanks to a couple people on another list and a little research, here's where I'm
at:

I'm using the EFJ -001 RPI. I know that both radios can be placed into the code update mode, the Version Info and the Options can be read from both
radios using PCC 1.28.00.08, that version of PCC will read/write the HHC programming, and that version of PCC will NOT read/write the Dash Mount programming.

The stand alone firmware updater utility will NOT work with either radio, including just retrieving the Version Info. Updating the firmware via PCC
also fails. Both methods of programming fail with an error indicating that it is a communications problem. (As I can read/write the HHC programming, I
do not believe it is programming hardware related.)

I've used three different computers (single processor 300 MHz-3 GHZ with built-in serial ports) and gotten the exact same results.

The firmware of both radios need to be changed. The HHC needs to be upgraded to take care of a couple of issues. The Dash Mount needs to be downgraded
from a special version to one that is compatible with PCC 1.28.00.88 (EFJ will NOT supply the special PCC 1.30.7 needed to program it, so the only
option is to downgrade the firmware.)

Here's the Version Info for each radio:

Dash Mount 5300
File Format Version: 5.9
DSP Software Version: 0.1.64
Controller Version: 1.32.11
Hardware Revision: 0.1.2
Boot Load Version: 1.10
SEM Version: Not Applicable

HHC 5300
File Format Version: 5.7
DSP Software Version: 0.1.33
Controller Version: 1.16.1
Hardware Revision: 0.1.2
Boot Load Version: Not Applicable
SEM Version: Not Applicable

I emailed all day Friday with EFJ tech support and did not get anywhere. I was told that the radio will display BOOTLOAD when it was in the code update
mode; both my radios show the code version, so I thought I was doing something wrong. At least the info I've received has allowed me to start narrowing down where the problem lies.

At this point, the only thing I have not attempted is to update the DSP; since I don't have the required *.out file, I can't try that. I guess I'll
have to put everything away and wait until Monday to try to make some progress after getting the *.out file from EFJ; I was also told by someone on the other list that PCC v2.4.1~6 would program the dash mount radio, so I'll get that on Monday too...

User avatar
Intrinsically Safe
Posts: 344
Joined: Sat Oct 13, 2007 9:19 pm

Re: Putting 5300 into Code Update Mode

Post by Intrinsically Safe » Tue Sep 29, 2009 11:09 pm

1. You are shorting the right pins (3/7). When in 'flash' mode, the radio will show the control head SW version. On the series 1 radios, it may show EFJ V200 or EFJV202, but most commonly it will show something like 3.xx.21
2. I am not sure what version you are trying to upgrade to, but your current code in the radio (1.32.11) is an unreleased(or limited release) version of firmware. The last release for those radios was 1.30.15. From what I can gather, PCC 1.28.0.8 will not work because of a file format difference. My guess is the code updater being used is having the same issue. The series 1 radios are pretty finicky and don't always like being downgraded very easily. Plus you have to be careful to make sure you match the ARM processor with the right version of boot code and crystal. If you don't know ahead of time you'll turn it into a brick.

Actually after re-reading it I think you are trying to upgrade the older radio (the one with 1.16.1). You may need to go to an intermediary version of firmware to complete the upgrade to the latest version. I have run into that on the series portables as well.

Just my 2.5 cents.
Sean Penn: Last year I went to Iraq. Before Team America showed up, it was a happy place. They had flowery meadows and rainbow skies, and rivers made of chocolate, where the children danced and laughed and played with gumdrop smiles.

X50
Posts: 10
Joined: Fri Aug 07, 2009 10:00 pm

Re: Putting 5300 into Code Update Mode

Post by X50 » Wed Sep 30, 2009 9:30 pm

Wow- this is the most frustrating radio programming experience I've ever had!

IS:

You're correct about the HHC radio (currently v 1.16.1)- I'm trying to get it to 1.30.15. From reading the PCC 1.28.0.8 help file, (as confusingly and poorly written as some of it is...) it does look like PCC 1.22.0 is needed to update it. I'll try to get EFJ to put that in an FTP account for me tomorrow, but I won't hold my breath...

As to the dash mount (currently v 1.32.11), EFJ won't give me the PCC version needed to program it (like a software version for an ancient firmware version is a national secret...). Someone told me that PCC 2.4.1~6 would program it, but the EFJ tech support guy said it wouldn't and wouldn't FTP it to me.

I don't understand why, after buying a $500 programming kit for 5300 radios from EFJ, I don't get all of the PCC and firmware versions. I have to beg the tech support guy for anything and then I still probably won't get it.

EFJ provided me with an updater executable for v1.30.15 (actually 2 versions, a 416 and a 816). I opened up both radios and confirmed that they are the hardware version matching the 816 updater. The 816 updater won't retrieve the information from either of my radios- it indicates a communications error. Yet PCC 1.28.0.8 will retrieve the version info and options info from both radios with no problem. Normally, I would think this, along with being able to read/write the HHC radio, would indicate that there is no problem with my programming hardware (it's the -001 serial RPI), but I don't know.

X50
Posts: 10
Joined: Fri Aug 07, 2009 10:00 pm

Re: Putting 5300 into Code Update Mode

Post by X50 » Mon Oct 05, 2009 12:36 pm

I finally had success in updating both radios. Just in case it helps someone else in the future, here is what it took.

HHC Radio (1.16.1 to 1.30.15): First update the DSP using an older version of PC Configure (I used 1.22.00.04); the application and boot code can then be updated using PCC 1.28.00.08.

Dash Mount Radio (1.32.11 to 1.30.15): When trying to “update” the boot code, PC Configure 1.28.00.08 first downloads the boot code in the radio. When I tried to upload the 1.30.15 boot code, PCC gave an error indicating that the code was not valid. The solution was to first connect the HHC radio, begin the boot code update process, pull the programming cable out after the boot code was retrieved from the radio, insert the programming cable into the dash mount radio, after the communications error message is displayed click the start button again. The boot code was then uploaded to the radio. The application code was then installed using the normal process.

One observation about the updating process: an update process sometimes failed with a communications error; immediately pressing start again would result in a successful update.

W0VNE
Posts: 33
Joined: Fri Apr 17, 2015 1:51 pm

Re: Putting 5300 into Code Update Mode

Post by W0VNE » Mon Dec 26, 2016 9:37 pm

Is there someplace to find .out files for version one radios? I have some arm based radios with control 1.10.0 and DSP 0.1.23 and for what its worth file fmt 5.5 and hw 0.1.2

I see .hex files in the /dsp/5300 directory. Is that something that needs to be proccessed into the .out file somehow?

User avatar
Intrinsically Safe
Posts: 344
Joined: Sat Oct 13, 2007 9:19 pm

Re: Putting 5300 into Code Update Mode

Post by Intrinsically Safe » Tue Jan 03, 2017 11:04 am

.out files are for the 1st gen (series 5) radios.
Sean Penn: Last year I went to Iraq. Before Team America showed up, it was a happy place. They had flowery meadows and rainbow skies, and rivers made of chocolate, where the children danced and laughed and played with gumdrop smiles.

W0VNE
Posts: 33
Joined: Fri Apr 17, 2015 1:51 pm

Re: Putting 5300 into Code Update Mode

Post by W0VNE » Tue Jun 27, 2017 4:52 am

Is there a source for code files for updating an old version 1 radio from 1.10.0 to a later version? I have the .hex loader file but none of the .out files - thanks in advance for any direction you can give me.

W0VNE
Posts: 33
Joined: Fri Apr 17, 2015 1:51 pm

Re: Putting 5300 into Code Update Mode

Post by W0VNE » Mon Nov 20, 2017 1:48 am

Well after getting some help I've had success updating some version 1.10.x radios to 1.32.7 using some .hex files I paid for using pcconfig 1.28.8 and the Write Application Code command. Its a two step process where I load one set of loader and code files using the password huskers then a different set with the password wildcats.

One big problem remains. I have other radios with the same version 1.10.0 firmware but won't update using these hex files. The hardware is the same rev (0.1.2) but its seems that the file format is older 5.5 and these radios have really old DSP firmware (0.1.23) BTW they show NA for the boot loader version but I think the ones I had success with said that also. I've got a variety if versions of PCConfig but they all seem to have had the .hex files removed and when I try to update a version one radio's dsp it asks for .out files. Anyhow if .out files are for version 5 radios thats a new one on me. I've never seen a version 5 radio. I've seen 1,2,3,4 and 6 but never a 5.

If anyone has either a standalone updater or hex files that could get my 1.10.x firmware radios to 1.32.x and possibly move the DSP up (somehow to 1.64) I would be eternally grateful!

And not that it matters but could someone explain what is meant by File Format? Are we talking how the channels are organized in radio memory based on which version of PCC we program the radio with?

W0VNE
Posts: 33
Joined: Fri Apr 17, 2015 1:51 pm

Re: Putting 5300 into Code Update Mode

Post by W0VNE » Mon Nov 20, 2017 2:02 am

Sorry I think I finally see the problem. The radios that don't upgrade with the Hex files that worked are all the unrevised -410 logic boards which require different files then the -8xx boards that I've had success with.

Does anyone have any of the old old -4xx firmware?

Thanks - Jay

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest